import { r as registerInstance, h, H as Host } from './index-acdc1ac0.js';

const dvnFieldDisplaySingleChoiceCss = ".sc-dvn-field-display-single-choice-h{display:block;height:20px}";

const DvnFieldDisplaySingleChoice = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const selectedOption = this.field.getOptionOfValue(this.value);
    return (h(Host, null, (this.value && selectedOption) ? selectedOption.label : '-'));
  }
};
DvnFieldDisplaySingleChoice.style = dvnFieldDisplaySingleChoiceCss;

export { DvnFieldDisplaySingleChoice as dvn_field_display_single_choice };
